Name:		mosh
Version:	1.4.0
Release:    1%{?dist}
Summary:	Mobile shell that supports roaming and intelligent local echo

License:	GPLv3+
URL:		https://mosh.mit.edu/
Source0:	https://mosh.mit.edu/mosh-%{version}.tar.gz

BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-diagnostics
BuildRequires:	perl-generators
BuildRequires:	protobuf-compiler
BuildRequires:	protobuf-devel
BuildRequires:	zlib-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
Requires:	openssh-clients
Requires:	openssl
Requires:	perl(IO::Socket::IP)

%description
Mosh is a remote terminal application that supports:
  - intermittent network connectivity,
  - roaming to different IP address without dropping the connection, and
  - intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.


%prep
%setup -q


%build
unset CXXFLAGS
export CXXFLAGS="%{build_cxxflags} -std=c++17"
%configure --disable-silent-rules
%make_build


%install
%make_install


%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/mosh
%{_bindir}/mosh-client
%{_bindir}/mosh-server
%{_mandir}/man1/mosh.1.gz
%{_mandir}/man1/mosh-client.1.gz
%{_mandir}/man1/mosh-server.1.gz


%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-1
- initial build
